| libpgf 7.21.2 PGF - Progressive Graphics File

Public Member Functions | List of all members
CPGFStream Class Referenceabstract

Abstract stream base class. More...

`#include <PGFstream.h>`

Inheritance diagram for CPGFStream:

## Public Member Functions
| CPGFStream ()
| Standard constructor. More...
virtual | ~CPGFStream ()
| Standard destructor. More...
virtual void | Write (int *count, void *buffer)=0
virtual void | Read (int *count, void *buffer)=0
virtual void | SetPos (short posMode, INT64 posOff)=0
virtual UINT64 | GetPos () const =0
virtual bool | IsValid () const =0

## Detailed Description

Abstract stream base class.

Abstract stream base class.

Author
  C. Stamm

Definition at line 39 of file PGFstream.h.

## Constructor & Destructor Documentation

## ◆ CPGFStream()

CPGFStream::CPGFStream | ( |  | ) |
| inline

Standard constructor.

Definition at line 43 of file PGFstream.h.

43 {}

## ◆ ~CPGFStream()

virtual CPGFStream::~CPGFStream | ( |  | ) |
| inline virtual

Standard destructor.

Definition at line 47 of file PGFstream.h.

47 {}

## Member Function Documentation

## ◆ GetPos()

virtual UINT64 CPGFStream::GetPos | ( |  | ) | const
| pure virtual

Get current stream position.

Returns
  Current stream position

Implemented in CPGFMemoryStream, and CPGFFileStream.

## ◆ IsValid()

virtual bool CPGFStream::IsValid | ( |  | ) | const
| pure virtual

Check stream validity.

Returns
  True if stream and current position is valid

Implemented in CPGFMemoryStream, and CPGFFileStream.

## ◆ Read()

virtual void CPGFStream::Read | ( | int * | count,
|  | void * | buffer
| ) |  |
| pure virtual

Read some bytes from this stream and stores them into a buffer.

Parameters

  count | A pointer to a value containing the number of bytes should be read. After this call it contains the number of read bytes.
  buffer | A memory buffer

Implemented in CPGFMemoryStream, and CPGFFileStream.

## ◆ SetPos()

virtual void CPGFStream::SetPos | ( | short | posMode,
|  | INT64 | posOff
| ) |  |
| pure virtual

Set stream position either absolute or relative.

Parameters

  posMode | A position mode (FSFromStart, FSFromCurrent, FSFromEnd)
  posOff | A new stream position (absolute positioning) or a position offset (relative positioning)

Implemented in CPGFMemoryStream, and CPGFFileStream.

## ◆ Write()

virtual void CPGFStream::Write | ( | int * | count,
|  | void * | buffer
| ) |  |
| pure virtual

Write some bytes out of a buffer into this stream.

Parameters

  count | A pointer to a value containing the number of bytes should be written. After this call it contains the number of written bytes.
  buffer | A memory buffer

Implemented in CPGFMemoryStream, and CPGFFileStream.

The documentation for this class was generated from the following file:

- PGFstream.h